Bug 996255 - [abrt] tuxmath-2.0.1-3.fc18: SDL_FreeSurface: Process /usr/bin/tuxmath was killed by signal 11 (SIGSEGV)
[abrt] tuxmath-2.0.1-3.fc18: SDL_FreeSurface: Process /usr/bin/tuxmath was ki...
Status: CLOSED DUPLICATE of bug 829419
Product: Fedora
Classification: Fedora
Component: tuxmath (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
abrt_hash:0dc6a9e9c661df14478420672ef...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-12 14:56 EDT by Bill Theocharoulas
Modified: 2015-12-22 06:48 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:16:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (13.00 KB, text/plain)
2013-08-12 14:56 EDT, Bill Theocharoulas
no flags Details
File: cgroup (131 bytes, text/plain)
2013-08-12 14:56 EDT, Bill Theocharoulas
no flags Details
File: core_backtrace (891 bytes, text/plain)
2013-08-12 14:56 EDT, Bill Theocharoulas
no flags Details
File: dso_list (10.85 KB, text/plain)
2013-08-12 14:56 EDT, Bill Theocharoulas
no flags Details
File: environ (1.65 KB, text/plain)
2013-08-12 14:56 EDT, Bill Theocharoulas
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-12 14:56 EDT, Bill Theocharoulas
no flags Details
File: maps (28.24 KB, text/plain)
2013-08-12 14:56 EDT, Bill Theocharoulas
no flags Details
File: open_fds (162 bytes, text/plain)
2013-08-12 14:56 EDT, Bill Theocharoulas
no flags Details
File: proc_pid_status (793 bytes, text/plain)
2013-08-12 14:57 EDT, Bill Theocharoulas
no flags Details
File: var_log_messages (527 bytes, text/plain)
2013-08-12 14:57 EDT, Bill Theocharoulas
no flags Details

  None (edit)
Description Bill Theocharoulas 2013-08-12 14:56:32 EDT
Description of problem:
I was trying to play the game and suddently it aborted.

Version-Release number of selected component:
tuxmath-2.0.1-3.fc18

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        tuxmath
crash_function: SDL_FreeSurface
executable:     /usr/bin/tuxmath
kernel:         3.8.11-200.fc18.i686
runlevel:       N 5
uid:            1001
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 SDL_FreeSurface at src/video/SDL_surface.c:911
 #1 powerup_add_comet at game.c:4185
 #3 add_comet at game.c:3166
 #4 game_handle_comets at game.c:1594
 #5 game at game.c:373
 #6 run_custom_game at menu.c:360
 #7 handle_activity at menu.c:168
 #8 T4K_RunMenu at t4k_menu.c:933
 #9 run_menu at menu.c:111
 #10 RunMainMenu at menu.c:755

Potential duplicate: bug 995101
Comment 1 Bill Theocharoulas 2013-08-12 14:56:36 EDT
Created attachment 785846 [details]
File: backtrace
Comment 2 Bill Theocharoulas 2013-08-12 14:56:39 EDT
Created attachment 785847 [details]
File: cgroup
Comment 3 Bill Theocharoulas 2013-08-12 14:56:42 EDT
Created attachment 785848 [details]
File: core_backtrace
Comment 4 Bill Theocharoulas 2013-08-12 14:56:45 EDT
Created attachment 785849 [details]
File: dso_list
Comment 5 Bill Theocharoulas 2013-08-12 14:56:48 EDT
Created attachment 785850 [details]
File: environ
Comment 6 Bill Theocharoulas 2013-08-12 14:56:51 EDT
Created attachment 785851 [details]
File: limits
Comment 7 Bill Theocharoulas 2013-08-12 14:56:55 EDT
Created attachment 785852 [details]
File: maps
Comment 8 Bill Theocharoulas 2013-08-12 14:56:58 EDT
Created attachment 785853 [details]
File: open_fds
Comment 9 Bill Theocharoulas 2013-08-12 14:57:01 EDT
Created attachment 785854 [details]
File: proc_pid_status
Comment 10 Bill Theocharoulas 2013-08-12 14:57:04 EDT
Created attachment 785855 [details]
File: var_log_messages
Comment 11 Paul Gresham 2013-08-13 22:52:58 EDT
I was just running through some of the games and the game crashed.

reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        tuxmath
crash_function: SDL_FreeSurface
executable:     /usr/bin/tuxmath
kernel:         3.10.4-100.fc18.i686
package:        tuxmath-2.0.1-3.fc18
reason:         Process /usr/bin/tuxmath was killed by signal 11 (SIGSEGV)
runlevel:       N 5
uid:            1000
xsession_errors: find_tuxmath_dir() - $HOME/.tuxmath created
Comment 12 Fedora End Of Life 2013-12-21 09:28:14 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2014-02-05 17:16:30 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 14 Michael Schwendt 2015-12-22 06:48:46 EST

*** This bug has been marked as a duplicate of bug 829419 ***

Note You need to log in before you can comment on or make changes to this bug.